List Attributes
BetaGET
/v1/catalog/properties/{property_id}/attributesThis endpoint is idempotent. Learn more
Returns a paginated list of attributes for a property.
property_idstringProperty ID.
cursoroptional stringQuery parameter: cursor for List Attributes
limitoptional integerQuery parameter: limit for List Attributes
qoptional stringQuery parameter: q for List Attributes
objectstringenumValues:listObject type for Attribute list
page_infoobjectPagination metadata for Attribute list
next_cursorstringnullableCursor to fetch the next page, null if no more pages.
prev_cursorstringnullableCursor to fetch the previous page, null if on the first page.
has_next_pagebooleanWhether more results exist after this page.
has_prev_pagebooleanWhether results exist before this page.
dataarray of objectArray of Attribute resources in this page
idstringAttribute ID.
objectstringenumValues:attributeResource type identifier.
valuestringAttribute value.
colorstringenumValues:bluebrowndefaultColor code.
sort_orderintegerDisplay order.
created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last update timestamp.
Responses
200
Successful response for List Attributes